Package com.databricks.jdbc.common

## Enum DatabricksJdbcUrlParams

- java.lang.Object
- - java.lang.Enum<DatabricksJdbcUrlParams>
  - - com.databricks.jdbc.common.DatabricksJdbcUrlParams

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabricksJdbcUrlParams>`

    public enum DatabricksJdbcUrlParams
    extends Enum<DatabricksJdbcUrlParams>

Enum to hold all the Databricks JDBC URL parameters.

### Enum Constant Summary

Enum Constants
`AUTH_ACCESS_TOKEN`
`AUTH_ENDPOINT`
`AUTH_FLOW`
`AUTH_MECH`
`AUTH_SCOPE`
`CATALOG`
`CF_PROXY_AUTH`
`CF_PROXY_HOST`
`CF_PROXY_PORT`
`CF_PROXY_PWD`
`CF_PROXY_USER`
`CLIENT_ID`
`CLIENT_SECRET`
`CLOUD_FETCH_THREAD_POOL_SIZE`
`COMPRESSION_FLAG`
`CONN_CATALOG`
`CONN_SCHEMA`
`DIRECT_RESULT`
`DISCOVERY_MODE`
`DISCOVERY_URL`
`ENABLE_ARROW`
`ENABLE_TELEMETRY`
`HTTP_PATH`
`IDLE_HTTP_CONNECTION_EXPIRY`
`JWT_ALGORITHM`
`JWT_KEY_FILE`
`JWT_KID`
`JWT_PASS_PHRASE`
`LOG_FILE_COUNT`
`LOG_FILE_SIZE`
`LOG_LEVEL`
`LOG_PATH`
`LZ4_COMPRESSION_FLAG`
`OAUTH_REFRESH_TOKEN`
`PASSWORD`
`POLL_INTERVAL`
`PROXY_AUTH`
`PROXY_HOST`
`PROXY_PORT`
`PROXY_PWD`
`PROXY_USER`
`PWD`
`RATE_LIMIT_RETRY`
`RATE_LIMIT_RETRY_TIMEOUT`
`SCHEMA`
`SSL`
`SUPPORT_MANY_PARAMETERS`
`TEMPORARILY_UNAVAILABLE_RETRY`
`TEMPORARILY_UNAVAILABLE_RETRY_TIMEOUT`
`TOKEN_ENDPOINT`
`USE_CF_PROXY`
`USE_JWT_ASSERTION`
`USE_LEGACY_METADATA`
`USE_PROXY`
`USE_SYSTEM_PROXY`
`USE_THRIFT_CLIENT`
`USER`
`USER_AGENT_ENTRY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getParamName()`
`static DatabricksJdbcUrlParams` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DatabricksJdbcUrlParams[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOG_LEVEL

    public static final DatabricksJdbcUrlParams LOG_LEVEL

#### LOG_PATH

    public static final DatabricksJdbcUrlParams LOG_PATH

#### LOG_FILE_SIZE

    public static final DatabricksJdbcUrlParams LOG_FILE_SIZE

#### LOG_FILE_COUNT

    public static final DatabricksJdbcUrlParams LOG_FILE_COUNT

#### USER

    public static final DatabricksJdbcUrlParams USER

#### PASSWORD

    public static final DatabricksJdbcUrlParams PASSWORD

#### CLIENT_ID

    public static final DatabricksJdbcUrlParams CLIENT_ID

#### CLIENT_SECRET

    public static final DatabricksJdbcUrlParams CLIENT_SECRET

#### AUTH_MECH

    public static final DatabricksJdbcUrlParams AUTH_MECH

#### AUTH_ACCESS_TOKEN

    public static final DatabricksJdbcUrlParams AUTH_ACCESS_TOKEN

#### CONN_CATALOG

    public static final DatabricksJdbcUrlParams CONN_CATALOG

#### CONN_SCHEMA

    public static final DatabricksJdbcUrlParams CONN_SCHEMA

#### PROXY_HOST

    public static final DatabricksJdbcUrlParams PROXY_HOST

#### PROXY_PORT

    public static final DatabricksJdbcUrlParams PROXY_PORT

#### PROXY_USER

    public static final DatabricksJdbcUrlParams PROXY_USER

#### PROXY_PWD

    public static final DatabricksJdbcUrlParams PROXY_PWD

#### USE_PROXY

    public static final DatabricksJdbcUrlParams USE_PROXY

#### PROXY_AUTH

    public static final DatabricksJdbcUrlParams PROXY_AUTH

#### USE_SYSTEM_PROXY

    public static final DatabricksJdbcUrlParams USE_SYSTEM_PROXY

#### USE_CF_PROXY

    public static final DatabricksJdbcUrlParams USE_CF_PROXY

#### CF_PROXY_HOST

    public static final DatabricksJdbcUrlParams CF_PROXY_HOST

#### CF_PROXY_PORT

    public static final DatabricksJdbcUrlParams CF_PROXY_PORT

#### CF_PROXY_AUTH

    public static final DatabricksJdbcUrlParams CF_PROXY_AUTH

#### CF_PROXY_USER

    public static final DatabricksJdbcUrlParams CF_PROXY_USER

#### CF_PROXY_PWD

    public static final DatabricksJdbcUrlParams CF_PROXY_PWD

#### AUTH_FLOW

    public static final DatabricksJdbcUrlParams AUTH_FLOW

#### CATALOG

    public static final DatabricksJdbcUrlParams CATALOG

#### SCHEMA

    public static final DatabricksJdbcUrlParams SCHEMA

#### OAUTH_REFRESH_TOKEN

    public static final DatabricksJdbcUrlParams OAUTH_REFRESH_TOKEN

#### PWD

    public static final DatabricksJdbcUrlParams PWD

#### POLL_INTERVAL

    public static final DatabricksJdbcUrlParams POLL_INTERVAL

#### HTTP_PATH

    public static final DatabricksJdbcUrlParams HTTP_PATH

#### SSL

    public static final DatabricksJdbcUrlParams SSL

#### USE_THRIFT_CLIENT

    public static final DatabricksJdbcUrlParams USE_THRIFT_CLIENT

#### RATE_LIMIT_RETRY_TIMEOUT

    public static final DatabricksJdbcUrlParams RATE_LIMIT_RETRY_TIMEOUT

#### JWT_KEY_FILE

    public static final DatabricksJdbcUrlParams JWT_KEY_FILE

#### JWT_ALGORITHM

    public static final DatabricksJdbcUrlParams JWT_ALGORITHM

#### JWT_PASS_PHRASE

    public static final DatabricksJdbcUrlParams JWT_PASS_PHRASE

#### JWT_KID

    public static final DatabricksJdbcUrlParams JWT_KID

#### USE_JWT_ASSERTION

    public static final DatabricksJdbcUrlParams USE_JWT_ASSERTION

#### DISCOVERY_MODE

    public static final DatabricksJdbcUrlParams DISCOVERY_MODE

#### AUTH_SCOPE

    public static final DatabricksJdbcUrlParams AUTH_SCOPE

#### DISCOVERY_URL

    public static final DatabricksJdbcUrlParams DISCOVERY_URL

#### ENABLE_ARROW

    public static final DatabricksJdbcUrlParams ENABLE_ARROW

#### DIRECT_RESULT

    public static final DatabricksJdbcUrlParams DIRECT_RESULT

#### LZ4_COMPRESSION_FLAG

    public static final DatabricksJdbcUrlParams LZ4_COMPRESSION_FLAG

#### COMPRESSION_FLAG

    public static final DatabricksJdbcUrlParams COMPRESSION_FLAG

#### USER_AGENT_ENTRY

    public static final DatabricksJdbcUrlParams USER_AGENT_ENTRY

#### USE_LEGACY_METADATA

    public static final DatabricksJdbcUrlParams USE_LEGACY_METADATA

#### TEMPORARILY_UNAVAILABLE_RETRY

    public static final DatabricksJdbcUrlParams TEMPORARILY_UNAVAILABLE_RETRY

#### TEMPORARILY_UNAVAILABLE_RETRY_TIMEOUT

    public static final DatabricksJdbcUrlParams TEMPORARILY_UNAVAILABLE_RETRY_TIMEOUT

#### RATE_LIMIT_RETRY

    public static final DatabricksJdbcUrlParams RATE_LIMIT_RETRY

#### IDLE_HTTP_CONNECTION_EXPIRY

    public static final DatabricksJdbcUrlParams IDLE_HTTP_CONNECTION_EXPIRY

#### SUPPORT_MANY_PARAMETERS

    public static final DatabricksJdbcUrlParams SUPPORT_MANY_PARAMETERS

#### CLOUD_FETCH_THREAD_POOL_SIZE

    public static final DatabricksJdbcUrlParams CLOUD_FETCH_THREAD_POOL_SIZE

#### ENABLE_TELEMETRY

    public static final DatabricksJdbcUrlParams ENABLE_TELEMETRY

#### TOKEN_ENDPOINT

    public static final DatabricksJdbcUrlParams TOKEN_ENDPOINT

#### AUTH_ENDPOINT

    public static final DatabricksJdbcUrlParams AUTH_ENDPOINT

### Method Detail

#### values

    public static DatabricksJdbcUrlParams[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabricksJdbcUrlParams c : DatabricksJdbcUrlParams.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabricksJdbcUrlParams valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getParamName

    public String getParamName()